Subject: CSS class for errors in form view helpers
Description

Form view helpers should automatically add a CSS class if an error for the property exists. The name of this class should be
overridable.

Associated revisions
Revision 1ca389ff - 2009-06-30 01:01 - Christopher Hlubek

    -  [TASK] Fluid (ViewHelpers): Implemented a first version of error marking on form view helpers. Refs #3793

History
#1 - 2009-09-04 20:04 - Bastian Waidelich

This is already implemented, right?

#2 - 2009-09-07 10:23 - Christopher Hlubek
- Status changed from New to Resolved
- % Done changed from 0 to 100

Yes, it's implemented in r2669. The CSS class can be set by the attribute errorClass. As a default the class "error" will be used.

#3 - 2009-09-07 11:37 - Bastian Waidelich

Christopher Hlubek wrote:

Yes, it's implemented in r2669. The CSS class can be set by the attribute errorClass.

Ah, right I remember.
Just for the record: In r2914 the functionality has been moved to the abstract base class and the attribute was added to "Select", "Textearea" and
"Upload" form view helpers too.
